/*
 * @Author: ysh
 * @Date: 2024-04-07 15:29:32
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2024-04-17 16:15:57
 */
import request from '@/utils/request'

// 查询cmc项目进度列表
export function listProjectProgress(query) {
  return request({
    url: '/oa/projectProgress/list',
    method: 'get',
    params: query
  })
}

// 查询cmc项目进度详细
export function getProjectProgress(projectId) {
  return request({
    url: '/oa/projectProgress/' + projectId,
    method: 'get'
  })
}

// 新增cmc项目进度
export function addProjectProgress(data) {
  return request({
    url: '/oa/projectProgress',
    method: 'post',
    data: data
  })
}

// 修改cmc项目进度
export function updateProjectProgress(data) {
  return request({
    url: '/oa/projectProgress',
    method: 'put',
    data: data
  })
}

// 删除cmc项目进度
export function delProjectProgress(projectId) {
  return request({
    url: '/oa/projectProgress/' + projectId,
    method: 'delete'
  })
}
